# Accomplishments

{% hint style="info" %}
Please note that in all urls & code samples you'll need to replace`:username` and `:corporation` with appropriate values
{% endhint %}

## Get All Accomplishments

<mark style="color:green;">`GET`</mark> [**/v2/organization/:corporation/expert/:username/accomplishment**](https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/accomplishment/)

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Url**

<table><thead><tr><th width="339.3333333333333">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>corporation</td><td>number</td><td>Corporation ID</td></tr><tr><td>username</td><td>string</td><td>Unique username</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
 {
  data: [
    {
      id: 1,
      title: 'Accomplishment Title',
      description: 'Accomplishment Description',
      start: 0,
      end: null,
      type: 71
    }
  ],
  success: true
}
```

{% endtab %}
{% endtabs %}

Code

{% tabs %}
{% tab title="Node" %}

```javascript
const accessToken = `<ACCESS TOKEN>`

fetch('https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/accomplishment', {
    method: 'GET',
    headers: {
        'Content-Type': 'application/x-www-form-urlencoded',
        'Authorization': `Bearer ${accessToken}`
    }
})
.then(response => response.json())
.then(json => {
    const { success, data } = json

    if (success) {
        const talks = data;
        console.log('all accomplishments', json)
    }

})
.catch(error => console.error(error));
```

{% endtab %}

{% tab title="PHP" %}

```php
$accessToken = urlencode('<ACCESS TOKEN>');
$url = 'https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/accomplishment';

$ch = curl_init($url);
curl_setopt(
    $ch,
    CURLOPT_HTTPHEADER,
    array('Content-Type: application/x-www-form-urlencoded', 'Authorization: Bearer ' . $accessToken)
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);
$json = json_decode($response);

if($json->success){
    var_dump($json->data);
}

curl_close($ch);

```

{% endtab %}

{% tab title="Curl" %}

```
curl https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/accomplishment \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer <ACCESS TOKEN>"
```

{% endtab %}
{% endtabs %}

## Get Individual Accomplishment

<mark style="color:green;">`GET`</mark> [**/v2/organization/:corporation/expert/:username/accomplishment/:id**](https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/accomplishment/:id)

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Url**

<table><thead><tr><th width="339.3333333333333">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>corporation</td><td>number</td><td>Corporation ID</td></tr><tr><td>username</td><td>string</td><td>Unique username</td></tr><tr><td>id</td><td>number</td><td>Accomplishment ID</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
 {
  data: [
    {
      id: 1,
      title: 'Accomplishment Title',
      description: 'Accomplishment Description',
      start: 0,
      end: null,
      type: 71
    }
  ],
  success: true
}
```

{% endtab %}
{% endtabs %}

Code

{% tabs %}
{% tab title="Node" %}

```javascript
const accessToken = `<ACCESS CODE>`

fetch('https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/accomplishment/:id', {
    method: 'GET',
    headers: {
        'Content-Type': 'application/x-www-form-urlencoded',
        'Authorization': `Bearer ${accessToken}`
    }
})
.then(response => response.json())
.then(json => {
    const { success, data, error } = json

    if (success) {
        console.log('accomplishment', data)
    }

})
.catch(error => console.error(error));
```

{% endtab %}

{% tab title="PHP" %}

```php
$accessToken = urlencode('<ACCESS TOKEN>');
$url = 'https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/accomplishment/:id';

$ch = curl_init($url);
curl_setopt(
    $ch,
    CURLOPT_HTTPHEADER,
    array('Content-Type: application/x-www-form-urlencoded', 'Authorization: Bearer ' . $accessToken)
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);
$json = json_decode($response);

if($json->success){
    var_dump($json->data);
}

curl_close($ch);
```

{% endtab %}

{% tab title="Curl" %}

```
curl -X GET https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/accomplishment/:id \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer <ACCESS TOKEN>"     
```

{% endtab %}
{% endtabs %}

## Create Accomplishment

<mark style="color:blue;">`POST`</mark> [**/v2/organization/:corporation/expert/:username/accomplishment**](https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/accomplishment)

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Url**

<table><thead><tr><th width="339.3333333333333">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>corporation</td><td>number</td><td>Corporation ID</td></tr><tr><td>username</td><td>string</td><td>Unique username</td></tr></tbody></table>

**Body**

<table><thead><tr><th width="339.3333333333333">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>title<mark style="color:red;">*</mark></td><td>string</td><td>Accomplishment Title</td></tr><tr><td>description<mark style="color:red;">*</mark></td><td>string</td><td>Accomplishment Description</td></tr><tr><td>start</td><td>unix timestamp</td><td>Accomplishment date</td></tr><tr><td>type</td><td>number</td><td>Accomplishment ID(71 for 'professional' and 73 for 'personal')</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{ 
    data: { 
        id: 1
    }, 
    success: true 
}
```

{% endtab %}
{% endtabs %}

Code

{% tabs %}
{% tab title="Node" %}

```javascript
const data = new URLSearchParams();
const accessToken = `<ACCESS TOKEN>`

data.append('title', 'My Accomplishment Idea');
data.append('description', 'My accomplishment is about...');
data.append('type', 71);

fetch('https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/accomplishment', {
    method: 'POST',
    headers: {
        'Content-Type': 'application/x-www-form-urlencoded',
        'Authorization': `Bearer ${accessToken}`
    },
    body: data
})
.then(response => response.json())
.then(json => {
    const { success, data, error } = json

    if (success) {
        const { id } = data
        console.log('New accomplishment id', id)
    }

})
.catch(error => console.error(error));

```

{% endtab %}

{% tab title="PHP" %}

```php
$accessToken = urlencode('<ACCESS TOKEN>');

$url = 'https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/accomplishment';
$data = ['title' => 'My Accomplishment Idea', 'description' => 'My accomplishment is about...', 'type' => 71];

$ch = curl_init($url);
curl_setopt(
    $ch,
    CURLOPT_HTTPHEADER,
    array('Content-Type: application/x-www-form-urlencoded', 'Authorization: Bearer ' . $accessToken)
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data));

$response = curl_exec($ch);
$json = json_decode($response);

if($json->success){
    var_dump($json->data);
}

curl_close($ch);
```

{% endtab %}

{% tab title="Curl" %}

```
curl -X POST https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/accomplishment \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer <ACCESS TOKEN>" \
    -d '{"title":"My Accomplishment Idea", "description":"My accomplishment is about...", "type": 71}'
```

{% endtab %}
{% endtabs %}

## Update Accomplishment

<mark style="color:blue;">`PUT`</mark> [**/v2/organization/:corporation/expert/:username/accomplishment/:id**](https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/accomplishment/:id)

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Url**

<table><thead><tr><th width="339.3333333333333">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>corporation</td><td>number</td><td>Corporation ID</td></tr><tr><td>username</td><td>string</td><td>Unique username</td></tr><tr><td>id</td><td>number</td><td>Accomplishment ID</td></tr></tbody></table>

**Body**

<table><thead><tr><th width="339.3333333333333">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>title<mark style="color:red;">*</mark></td><td>string</td><td>Accomplishment Title</td></tr><tr><td>description<mark style="color:red;">*</mark></td><td>string</td><td>Accomplishment Description</td></tr><tr><td>start</td><td>unix timestamp</td><td>Accomplishment date</td></tr><tr><td>type</td><td>number</td><td>Sample Talk Type ID(71 for 'professional' and 73 for 'personal')</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{ 
    data: { 
        id: 1, 
        updated: true 
    }, 
    success: true 
}
```

{% endtab %}
{% endtabs %}

Code

{% tabs %}
{% tab title="Node" %}

```javascript
const data = new URLSearchParams();
const accessToken = `<ACCESS TOKEN>`

data.append('title', 'My Accomplishment Idea');
data.append('description', 'My accomplishment is about...');
data.append('type', 71);

fetch('https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/accomplishment/:id', {
    method: 'PUT',
    headers: {
        'Content-Type': 'application/x-www-form-urlencoded',
        'Authorization': `Bearer ${accessToken}`
    },
    body: data
})
.then(response => response.json())
.then(json => {
    const { success, data, error } = json

    if (success) {
        const { id } = data
        console.log('Updated accomplishment id', id)
    }

})
.catch(error => console.error(error));

```

{% endtab %}

{% tab title="PHP" %}

```php
$accessToken = urlencode('<ACCESS TOKEN>');

$url = 'https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/accomplishment/:id';
$data = ['title' => 'My Accomplishment Idea', 'description' => 'My accomplishment is about...', 'type' => 71];

$ch = curl_init($url);
curl_setopt(
    $ch,
    CURLOPT_HTTPHEADER,
    array('Content-Type: application/x-www-form-urlencoded', 'Authorization: Bearer ' . $accessToken)
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_PUT, http_build_query($data));

$response = curl_exec($ch);
$json = json_decode($response);

if($json->success){
    var_dump($json->data);
}

curl_close($ch);
```

{% endtab %}

{% tab title="Curl" %}

```
curl -X PUT https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/accomplishment/:id \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer <ACCESS TOKEN>" \
    -d '{"title":"My Accomplishment Idea", "description":"My accomplishment is about...", "type": 71}'
```

{% endtab %}
{% endtabs %}

## Delete Accomplishment

<mark style="color:red;">`DELETE`</mark> [**/v2/organization/:corporation/expert/:username/accomplishment/:id**](https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/accomplishment/:id)

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Url**

<table><thead><tr><th width="339.3333333333333">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>corporation</td><td>number</td><td>Corporation ID</td></tr><tr><td>username</td><td>string</td><td>Unique username</td></tr><tr><td>id</td><td>number</td><td>Accomplishment ID</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{ 
    data: { 
        deleted: true, 
        id: 1 
    }, 
    success: true 
}
```

{% endtab %}
{% endtabs %}

Code

{% tabs %}
{% tab title="Node" %}

```javascript
const accessToken = `<ACCESS TOKEN>`

fetch('https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/accomplishment/:id', {
    method: 'DELETE',
    headers: {
        'Content-Type': 'application/x-www-form-urlencoded',
        'Authorization': `Bearer ${accessToken}`
    }
})
.then(response => response.json())
.then(json => {
    const { success, data, error } = json

    if (success) {
        const { id } = data
        console.log('Deleted accomplishment id', id)
    }

})
.catch(error => console.error(error));

```

{% endtab %}

{% tab title="PHP" %}

```php
$accessToken = urlencode('<ACCESS TOKEN>');

$url = 'https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/accomplishment/:id';

$ch = curl_init($url);
curl_setopt(
    $ch,
    CURLOPT_HTTPHEADER,
    array('Content-Type: application/x-www-form-urlencoded', 'Authorization: Bearer ' . $accessToken)
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "DELETE");

$response = curl_exec($ch);
$json = json_decode($response);

if($json->success){
    var_dump($json->data);
}

curl_close($ch);
```

{% endtab %}

{% tab title="Curl" %}

```
curl -X DELETE https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/accomplishment/:id \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer <ACCESS TOKEN>"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.expertfile.com/reference/api-reference/experts/expert-profile/accomplishments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
